org.opencv.photo

## Class Tonemap

- java.lang.Object
- - org.opencv.core.Algorithm
  - - org.opencv.photo.Tonemap

- Direct Known Subclasses:
    TonemapDrago, TonemapDurand, TonemapMantiuk, TonemapReinhard

      public class Tonemap
      extends Algorithm

  Base class for tonemapping algorithms - tools that are used to map HDR image to 8-bit range.

- - ### Field Summary

    - ### Fields inherited from class org.opencv.core.Algorithm

      `nativeObj`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `Tonemap(long addr)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static Tonemap` | `__fromPtr__(long addr)`
    `protected void` | `finalize()`
    `float` | `getGamma()`
    `void` | `process(Mat src, Mat dst)` Tonemaps image
    `void` | `setGamma(float gamma)`

    - ### Methods inherited from class org.opencv.core.Algorithm

      `clear, empty, getDefaultName, getNativeObjAddr, save`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Tonemap

          protected Tonemap(long addr)

  - ### Method Detail

    - #### __fromPtr__

          public static Tonemap __fromPtr__(long addr)

    - #### getGamma

          public float getGamma()

    - #### process

          public void process(Mat src,
                              Mat dst)

      Tonemaps image
      Parameters:
        `src` - source image - CV_32FC3 Mat (float 32 bits 3 channels)
        `dst` - destination image - CV_32FC3 Mat with values in [0, 1] range

    - #### setGamma

          public void setGamma(float gamma)

    - #### finalize

          protected void finalize()
                           throws Throwable

      Overrides:
        `finalize` in class `Algorithm`
      Throws:
        `Throwable`

Generated on Wed Oct 9 2019 16:55:37 UTC / OpenCV 3.4.8